Skip to main content
GET
/
api
/
registry
/
agents
/
{encodedUrl}
/
compliance
/
history
Get agent compliance history
curl --request GET \
  --url https://agenticadvertising.org/api/registry/agents/{encodedUrl}/compliance/history
import requests

url = "https://agenticadvertising.org/api/registry/agents/{encodedUrl}/compliance/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://agenticadvertising.org/api/registry/agents/{encodedUrl}/compliance/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent_url": "<string>",
  "runs": [
    {
      "id": "<string>",
      "overall_status": "<string>",
      "headline": "<string>",
      "tracks_passed": 123,
      "tracks_failed": 123,
      "tracks_skipped": 123,
      "tracks_partial": 123,
      "total_duration_ms": 123,
      "triggered_by": "<string>",
      "tested_at": "<string>",
      "requested_compliance_target": "<string>",
      "adcp_version": "<string>",
      "tracks_json": "<unknown>"
    }
  ],
  "count": 123
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Path Parameters

encodedUrl
string
required

URL-encoded agent URL

Query Parameters

limit
string

Max results (default 30, max 100)

Response

Compliance run history

agent_url
string
required
runs
object[]
required
count
integer
required